summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-02-24 17:33:37 +0100
committerJustin Lecher <jlec@gentoo.org>2016-02-24 17:35:40 +0100
commit250d3d079190d5f98e29f7c68e64ab340587a933 (patch)
tree67b8181000f7782b385bde8d7b018220e6266276 /mail-mta/nullmailer
parentmedia-tv/kodi: fix logic error in vaapi/gles check #464306#14 (diff)
downloadgentoo-250d3d079190d5f98e29f7c68e64ab340587a933.tar.gz
gentoo-250d3d079190d5f98e29f7c68e64ab340587a933.tar.bz2
gentoo-250d3d079190d5f98e29f7c68e64ab340587a933.zip
mail-mta/nullmailer: Version Bump
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573090 Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=562912 Package-Manager: portage-2.2.27 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'mail-mta/nullmailer')
-rw-r--r--mail-mta/nullmailer/Manifest1
-rw-r--r--mail-mta/nullmailer/asd123
-rw-r--r--mail-mta/nullmailer/files/init.d-nullmailer-r552
-rw-r--r--mail-mta/nullmailer/files/remotes.sample-2.030
-rw-r--r--mail-mta/nullmailer/metadata.xml2
-rw-r--r--mail-mta/nullmailer/nullmailer-2.0.ebuild136
6 files changed, 343 insertions, 1 deletions
diff --git a/mail-mta/nullmailer/Manifest b/mail-mta/nullmailer/Manifest
index dab1022b886..9f254a4e4d6 100644
--- a/mail-mta/nullmailer/Manifest
+++ b/mail-mta/nullmailer/Manifest
@@ -1,2 +1,3 @@
DIST nullmailer-1.13.tar.gz 205431 SHA256 3f8861ebb1b46cea0a1caf1e6236e1e0d2a5a91def19551b7cad12eab676277d SHA512 96dcb3ddecde77a73e5ca1afa5167d35f965d04999f02cc2ef60b54ea7eb7a006e5cf5678fc34a54d4be4f9fd71bd0f784a8671aca40c70dbc307666c548e1d7 WHIRLPOOL b041f7cc33a257fad11c5f4c9bf74f8d849d9c45f0dc19be28268462b9d029c07e1d5802698e647a4208d5f66cac2177a1d12e49a03caac51e0244c3f9a0599c
+DIST nullmailer-2.0.tar.gz 249538 SHA256 d70f4cc4a0c1ff2630d9e2c54c967700d641d06035dd8998a43e616469834f84 SHA512 2a7c914c5effcf796f987256ac68836f0ba875cc7f2da1aeb8f23767e15a556da168b8da5cc52d9f800986883bbdbcd49a9610ae220f463164a906c1d82fbce6 WHIRLPOOL c6ed5dcf5669beff4d440b1862a8155bc414c202382de0d998e76c0d241b7974c255bbfebcee2853ca7997cd239c44b5d472d15a913aa7cd0646bdda9f1797c9
DIST nullmailer-patches-1.13.tar.xz 8384 SHA256 8685dfbf23e9dc15269b1a0d14f700c4ef990cf49d4e6e830c0217289e8f4733 SHA512 393531e39a92b0978bccbcdf123e05b2cdad1ec8e600825cc24177ba414c1f615995c0344291ebb664f42b384a160c0359fec5ba3308cc14cbc9ceb8577d799c WHIRLPOOL 84f523be7963ceb7fbafd3f5632571e7bc12085b1b4bce5bb5c63871fd6c7ed1367a49ddf5ed66acad7055e28856b23fb1dcb59e60158fed26447128edd0a4fa
diff --git a/mail-mta/nullmailer/asd b/mail-mta/nullmailer/asd
new file mode 100644
index 00000000000..c461dea3233
--- /dev/null
+++ b/mail-mta/nullmailer/asd
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils flag-o-matic multilib systemd user
+
+DESCRIPTION="Simple relay-only local mail transport agent"
+HOMEPAGE="http://untroubled.org/nullmailer/"
+SRC_URI="http://untroubled.org/${PN}/archive/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 ppc x86"
+IUSE="ssl"
+
+DEPEND="
+ sys-apps/groff
+ ssl? ( net-libs/gnutls )"
+RDEPEND="
+ virtual/logger
+ virtual/shadow
+ ssl? ( net-libs/gnutls )
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/mini-qmail
+ !mail-mta/msmtp
+ !mail-mta/netqmail
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/opensmtpd
+ !mail-mta/ssmtp"
+
+pkg_setup() {
+ enewgroup nullmail 88
+ enewuser nullmail 88 -1 /var/spool/nullmailer nullmail
+}
+
+src_prepare() {
+ sed -e "s#/usr/local/etc#/etc#" -e "s#/usr/local/libexec#/usr/libexec#" -i doc/nullmailer-send.8
+}
+
+src_configure() {
+ econf \
+ --localstatedir=/var \
+ $(use_enable ssl tls)
+}
+
+src_install () {
+ emake DESTDIR="${D}" install
+
+ dodoc AUTHORS BUGS HOWTO INSTALL ChangeLog NEWS README TODO doc/DIAGRAM
+
+ # A small bit of sample config
+ insinto /etc/nullmailer
+ newins "${FILESDIR}"/remotes.sample-1.13 remotes
+
+ # This contains passwords, so should be secure
+ fperms 0640 /etc/nullmailer/remotes
+ fowners root:nullmail /etc/nullmailer/remotes
+
+ # daemontools stuff
+ dodir /var/spool/nullmailer/service{,/log}
+
+ insinto /var/spool/nullmailer/service
+ newins scripts/nullmailer.run run
+ fperms 700 /var/spool/nullmailer/service/run
+
+ insinto /var/spool/nullmailer/service/log
+ newins scripts/nullmailer-log.run run
+ fperms 700 /var/spool/nullmailer/service/log/run
+
+ # usability
+ dosym /usr/sbin/sendmail usr/$(get_libdir)/sendmail
+
+ # permissions stuff
+ keepdir /var/log/nullmailer /var/spool/nullmailer/{tmp,queue}
+ fperms 770 /var/log/nullmailer /var/spool/nullmailer/{tmp,queue}
+ fowners nullmail:nullmail /usr/sbin/nullmailer-queue /usr/bin/mailq
+ fperms 4711 /usr/sbin/nullmailer-queue /usr/bin/mailq
+
+ newinitd "${FILESDIR}"/init.d-nullmailer-r4 nullmailer
+ systemd_dounit scripts/${PN}.service
+}
+
+pkg_postinst() {
+ if [ ! -e "${ROOT}"/var/spool/nullmailer/trigger ]; then
+ mkfifo "${ROOT}"/var/spool/nullmailer/trigger
+ fi
+ chown nullmail:nullmail \
+ "${ROOT}"/var/log/nullmailer "${ROOT}"/var/spool/nullmailer/{tmp,queue,trigger} || die
+ chmod 770 "${ROOT}"/var/log/nullmailer "${ROOT}"/var/spool/nullmailer/{tmp,queue} || die
+ chmod 660 "${ROOT}"/var/spool/nullmailer/trigger || die
+
+ # This contains passwords, so should be secure
+ chmod 0640 "${ROOT}"/etc/nullmailer/remotes || die
+ chown root:nullmail "${ROOT}"/etc/nullmailer/remotes || die
+
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog "To create an initial setup, please do:"
+ elog "emerge --config =${CATEGORY}/${PF}"
+ fi
+}
+
+pkg_postrm() {
+ if [[ -e "${ROOT}"/var/spool/nullmailer/trigger ]]; then
+ rm "${ROOT}"/var/spool/nullmailer/trigger || die
+ fi
+}
+
+pkg_config() {
+ if [ ! -s "${ROOT}"/etc/nullmailer/me ]; then
+ einfo "Setting /etc/nullmailer/me"
+ /bin/hostname --fqdn > "${ROOT}"/etc/nullmailer/me
+ fi
+ if [ ! -s "${ROOT}"/etc/nullmailer/defaultdomain ]; then
+ einfo "Setting /etc/nullmailer/defaultdomain"
+ /bin/hostname --domain > "${ROOT}"/etc/nullmailer/defaultdomain
+ fi
+}
diff --git a/mail-mta/nullmailer/files/init.d-nullmailer-r5 b/mail-mta/nullmailer/files/init.d-nullmailer-r5
new file mode 100644
index 00000000000..6d27d8b91a8
--- /dev/null
+++ b/mail-mta/nullmailer/files/init.d-nullmailer-r5
@@ -0,0 +1,52 @@
+#!/sbin/runscript
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Id$
+
+command="/usr/sbin/nullmailer-send"
+
+start_stop_daemon_args="--chdir /var/spool/nullmailer --user nullmail:nullmail"
+start_stop_daemon_args+=" --stdout /var/log/nullmailer/nullmailer.log"
+start_stop_daemon_args+=" --stderr /var/log/nullmailer/nullmailer.log"
+
+required_dirs="/var/spool/nullmailer /var/log/nullmailer"
+pidfile="/run/nullmailer.pid"
+command_background="true"
+
+depend() {
+ use net logger
+}
+
+checkconfig() {
+ local error=0
+ local f=/etc/nullmailer/me
+ if [ ! -s ${f} ]; then
+ eerror "${f} does not exist"
+ error=1
+ fi
+ f=/etc/nullmailer/defaultdomain
+ if [ ! -s ${f} ]; then
+ eerror "${f} does not exist"
+ error=1
+ fi
+ if [ ${error} -eq 1 ]; then
+ einfo "You need to run 'emerge --config nullmailer'!"
+ fi
+ if [ -e /service/nullmailer ]; then
+ eerror "Nullmailer is already running under svscan!"
+ error=2
+ fi
+ if [ ${error} -ne 0 ]; then
+ return 1
+ else
+ return 0
+ fi
+}
+
+start_pre() {
+ checkconfig
+}
+
+stop_pre() {
+ checkconfig # to avoid init.d stopping svscan instance
+}
diff --git a/mail-mta/nullmailer/files/remotes.sample-2.0 b/mail-mta/nullmailer/files/remotes.sample-2.0
new file mode 100644
index 00000000000..59535d69103
--- /dev/null
+++ b/mail-mta/nullmailer/files/remotes.sample-2.0
@@ -0,0 +1,30 @@
+# Format is: HOST PROTOCOL [OPTIONS]
+# HOST = IP or DNS
+# PROTOCOL = smtp | qmtp
+# OPTIONS = [port=NUMBER] [user] [pass] [starttls | ssl [insecure] ]
+#
+# Examples:
+# A standard SMTP server:
+# somesendmailserver.domain.com smtp
+#
+# A qmail server with QMQP setup:
+# someqmailserver.domain.com qmqp
+#
+# A nonstandard SMTP server setup:
+# someotherserver.domain.com smtp port=2525
+#
+# SMTP server supporting AUTH PLAIN
+# mailserver smtp user=<user> pass=<pass>
+#
+# SMTP server supporting AUTH LOGIN
+# mailserver smtp user=<user> pass=<pass> auth-login
+#
+# SMTP server with smtps (legacy - use starttls instead)
+# mailserver smtp user=<user> pass=<pass> port=465 ssl
+#
+# SMTP server on submission port with starttls
+# mailserver smtp user=<user> pass=<pass> port=587 starttls
+#
+# SMTP server on submission port with starttls and self-signed certificate
+# mailserver smtp user=<user> pass=<pass> port=587 starttls insecure
+
diff --git a/mail-mta/nullmailer/metadata.xml b/mail-mta/nullmailer/metadata.xml
index eddb655411a..fc963bb3597 100644
--- a/mail-mta/nullmailer/metadata.xml
+++ b/mail-mta/nullmailer/metadata.xml
@@ -5,7 +5,7 @@
<email>robbat2@gentoo.org</email>
<name>Robin H. Johnson</name>
</maintainer>
-<maintainer type="project">
+ <maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
diff --git a/mail-mta/nullmailer/nullmailer-2.0.ebuild b/mail-mta/nullmailer/nullmailer-2.0.ebuild
new file mode 100644
index 00000000000..1c3e959c890
--- /dev/null
+++ b/mail-mta/nullmailer/nullmailer-2.0.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic multilib systemd user
+
+DESCRIPTION="Simple relay-only local mail transport agent"
+HOMEPAGE="http://untroubled.org/nullmailer/"
+SRC_URI="http://untroubled.org/${PN}/archive/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="ssl"
+
+DEPEND="
+ sys-apps/groff
+ ssl? ( net-libs/gnutls )"
+RDEPEND="
+ virtual/logger
+ virtual/shadow
+ ssl? ( net-libs/gnutls )
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/mini-qmail
+ !mail-mta/msmtp
+ !mail-mta/netqmail
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/opensmtpd
+ !mail-mta/ssmtp"
+
+pkg_setup() {
+ enewgroup nullmail 88
+ enewuser nullmail 88 -1 /var/spool/nullmailer nullmail
+}
+
+src_prepare() {
+ default
+ sed -i.orig \
+ -e '/\$(localstatedir)\/trigger/d' \
+ "${S}"/Makefile.am || die "Sed failed"
+ sed \
+ -e "s:^AC_PROG_RANLIB:AC_CHECK_TOOL(AR, ar, false)\nAC_PROG_RANLIB:g" \
+ -i configure.ac || die
+ sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+ sed \
+ -e "s#/usr/lib#\0exec#" -e "s#/usr/local#/usr#" \
+ -e 's:/usr/etc/:/etc/:g' \
+ -i doc/nullmailer-send.8 || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --localstatedir=/var \
+ $(use_enable ssl tls)
+}
+
+src_install () {
+ default
+
+ # A small bit of sample config
+ insinto /etc/nullmailer
+ newins "${FILESDIR}"/remotes.sample-${PV} remotes
+
+ # This contains passwords, so should be secure
+ fperms 0640 /etc/nullmailer/remotes
+ fowners root:nullmail /etc/nullmailer/remotes
+
+ # daemontools stuff
+ dodir /var/spool/nullmailer/service{,/log}
+
+ insinto /var/spool/nullmailer/service
+ newins scripts/nullmailer.run run
+ fperms 700 /var/spool/nullmailer/service/run
+
+ insinto /var/spool/nullmailer/service/log
+ newins scripts/nullmailer-log.run run
+ fperms 700 /var/spool/nullmailer/service/log/run
+
+ # usability
+ dosym /usr/sbin/sendmail usr/$(get_libdir)/sendmail
+
+ # permissions stuff
+ keepdir /var/log/nullmailer /var/spool/nullmailer/{tmp,queue}
+ fperms 770 /var/log/nullmailer
+ fowners nullmail:nullmail /usr/sbin/nullmailer-queue /usr/bin/mailq
+ fperms 4711 /usr/sbin/nullmailer-queue /usr/bin/mailq
+
+ newinitd "${FILESDIR}"/init.d-nullmailer-r5 nullmailer
+ systemd_dounit scripts/${PN}.service
+}
+
+pkg_postinst() {
+ if [ ! -e "${ROOT}"/var/spool/nullmailer/trigger ]; then
+ mkfifo "${ROOT}"/var/spool/nullmailer/trigger || die
+ fi
+ chown nullmail:nullmail \
+ "${ROOT}"/var/log/nullmailer \
+ "${ROOT}"/var/spool/nullmailer/{tmp,queue,trigger} || die
+ chmod 770 \
+ "${ROOT}"/var/log/nullmailer \
+ "${ROOT}"/var/spool/nullmailer/{tmp,queue} || die
+ chmod 660 "${ROOT}"/var/spool/nullmailer/trigger || die
+
+ # This contains passwords, so should be secure
+ chmod 0640 "${ROOT}"/etc/nullmailer/remotes || die
+ chown root:nullmail "${ROOT}"/etc/nullmailer/remotes || die
+
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog "To create an initial setup, please do:"
+ elog "emerge --config =${CATEGORY}/${PF}"
+ fi
+}
+
+pkg_postrm() {
+ if [[ -e "${ROOT}"/var/spool/nullmailer/trigger ]]; then
+ rm "${ROOT}"/var/spool/nullmailer/trigger || die
+ fi
+}
+
+pkg_config() {
+ if [ ! -s "${ROOT}"/etc/nullmailer/me ]; then
+ einfo "Setting /etc/nullmailer/me"
+ /bin/hostname --fqdn > "${ROOT}"/etc/nullmailer/me
+ fi
+ if [ ! -s "${ROOT}"/etc/nullmailer/defaultdomain ]; then
+ einfo "Setting /etc/nullmailer/defaultdomain"
+ /bin/hostname --domain > "${ROOT}"/etc/nullmailer/defaultdomain
+ fi
+}